<button *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'" type="button" data-toggle="modal"
    data-target="#bottomForm" data-backdrop="static" data-keyboard="false" (click)="createBottomMaterialForm()"
    class="btn btn-sm btn-custom mb-2 mr-2 pull-right">Add Bottom Requirement</button>

<div class="table-responsive">
    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>color</th>
                <th>color code</th>
                <th>Size Requirement</th>
                <th *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">Action</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let b of bottoms | paginate: { itemsPerPage: 10, currentPage: p }">
                <td>{{b.color}}</td>
                <td>{{b.color_code}}</td>
                <td>  
                    <span *ngFor="let item of b.bottom_requirements | keyvalue">
                        <b>{{item.key}}</b> : {{item.value}}, &nbsp;&nbsp;
                    </span>
                </td>
                <td *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">
                    <i data-toggle="modal" data-target="#bottomForm" (click)="editBottomMaterialRequirement(b)"
                        class="fa fa-edit mr-1 text-primary" aria-hidden="true"></i>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div class="row d-flex justify-content-center">
    <pagination-controls *ngIf="bottoms!=''" class="my-pagination" (pageChange)="p = $event">
    </pagination-controls>
</div>


<!-----------Add Bottom Requirement Form Modal------------------------>
<div id="bottomForm" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Bottom Material Requirement</h6>
                <button #closeBottomBtn type="button" class="close" data-dismiss="modal"
                    (click)="submitted = false;">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditBottomMaterialRequirement()" [formGroup]="bottomMaterialForm">
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3">
                            <label>Color:</label>
                            <input formControlName="color" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formBottomControls.color.errors" class="errors">
                                <div *ngIf="formBottomControls.color.errors.required">color is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Color Code:</label>
                            <input formControlName="color_code" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formBottomControls.color_code.errors" class="errors">
                                <div *ngIf="formBottomControls.color_code.errors.required">Color code is required</div>
                            </div>
                        </div>
                    </div>
                    <p>Add Quantity for below sizes:</p>
                    <div class="form-group row" *ngIf="sizing_type == 1" [formGroup]="alphaNumericForm">
                        <div class="col-sm-3 mb-3">
                            <label>XS:</label>
                            <input formControlName="xs" type="text" class="form-control form-control-user">
                        </div>
                        <div class="col-sm-3 mb-3">
                            <label>S:</label>
                            <input formControlName="s" type="text" class="form-control form-control-user">
                        </div>
                        <div class="col-sm-3 mb-3">
                            <label>M:</label>
                            <input formControlName="m" type="text" class="form-control form-control-user">
                        </div>
                        <div class="col-sm-3 mb-3">
                            <label>L:</label>
                            <input formControlName="l" type="text" class="form-control form-control-user">
                        </div>
                  
                        <div class="col-sm-3 mb-3">
                            <label>XL:</label>
                            <input formControlName="xl" type="text" class="form-control form-control-user">
                        </div>
                        <div class="col-sm-3 mb-3">
                            <label>XXL:</label>
                            <input formControlName="xxl" type="text" class="form-control form-control-user">
                        </div>
                        <div class="col-sm-3 mb-3">
                            <label>XXXL:</label>
                            <input formControlName="xxxl" type="text" class="form-control form-control-user">
                        </div>
                    </div>
                    <div class="form-group row" *ngIf="sizing_type == 0" [formGroup]="numericForm">
                        <div class="col-sm-4 mb-3">
                            <label>Enter Size Range:</label>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <select formControlName="start" class="form-control dropdown" id="start" (change)="addNumericForm()">
                                <option *ngFor="let number of numbers" [ngValue]="number">{{number}}</option>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <select formControlName="end" class="form-control dropdown" id="end" (change)="addNumericForm()">
                                <option *ngFor="let number of numbers" [ngValue]="number">{{number}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" *ngIf="sizing_type == 0" [formGroup]="numericFormFields">
                        <div class="col-sm-3 mb-3" *ngFor="let prop of numericSizes">
                            <label>{{prop}}:</label>
                            <input [formControlName]="prop" type="text" class="form-control form-control-user">
                        </div>
                    </div>

                    <input formControlName="erp_id" type="hidden">
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>